This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 871085 - rhevm-manage-domains -location option, though no longer a valid option give no failure when used.
rhevm-manage-domains -location option, though no longer a valid option give n...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Ravi Nori
Pavel Stehlik
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-10-29 11:16 EDT by Ilanit Stein
Modified: 2016-02-10 14:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: obsolete option -location was not rmoved from code Consequence: The user could provide the obsolete option on the command line and the tool would not complain that it is an invalid option Fix: The -location option has been cleaned up in the code Result: If the user specifies -location option in the command line an error is thrown indicating that it is an invalid option
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilanit Stein 2012-10-29 11:16:13 EDT
Description of problem:

rhevm-manage-domains rhevm-manage-domains -location (=remote/local) obsolete  option, give no error when added to the command, and has no effect.

Version-Release number of selected component (if applicable):
SI22

How reproducible:
always

Expected results:
Syntax failure is expected when using this non valid option "location"

Logs: 
Not relevant in this case
Comment 1 Yair Zaslavsky 2012-10-29 11:42:38 EDT
Indded - we should not have this anymore.
Please pay attention this also appears with -action=list (i.e - it prints that the domain is remote, but all domains are treated as "remote" - no point in printing this anymore).
Comment 2 Ravi Nori 2012-10-31 23:44:05 EDT
link : http://gerrit.ovirt.org/#/c/8963/

hash : b35e1fbffda29360b7624798c2b1b9789f7a9021
Comment 3 Oded Ramraz 2013-01-25 03:13:30 EST
Verified sf4 
Passing this parameter is not possible anymore .
Comment 4 Itamar Heim 2013-06-11 05:10:25 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:10:26 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:38:04 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.